config:
    shim:
        'jquery.mousewheel':
            deps:
                - 'jquery'
        'jquery.numeric':
            deps:
                - 'jquery'
        'jquery.uniform':
            deps:
                - 'jquery'
        'jquery.select2':
            deps:
                - 'jquery'
            exports: 'Select2'
        'jquery.simplecolorpicker':
            deps:
                - 'jquery'
        'jquery.minicolors':
            deps:
                - 'jquery'
        'jstree/jquery.jstree.min':
            deps:
                - 'jquery'
        'jquery.cookie':
            deps:
                - 'jquery'
        'bootstrap':
            deps:
                - 'jquery'
        'oroui/lib/bootstrap/js/bootstrap-popover':
            deps:
                - 'oroui/lib/bootstrap/js/bootstrap-tooltip'
        'underscore':
            exports: '_'
        'backbone-bootstrap-modal':
            deps:
                - 'jquery'
                - 'underscore'
                - 'backbone'
        'jquery.ajax.queue':
            deps:
                - 'jquery'
        'oroui/lib/jquery.datepair-0.4.4/jquery.datepair':
            deps:
                - 'oroui/lib/jquery.datepair-0.4.4/datepair'
        'cryptojs/enc-base64':
            deps:
                - 'cryptojs/core'
            exports: 'CryptoJS'
        'cryptojs/hmac':
            deps:
                - 'cryptojs/core'
            exports: 'CryptoJS'
        'cryptojs/sha256':
            deps:
                - 'cryptojs/core'
            exports: 'CryptoJS'
        'cryptojs/pbkdf2':
            deps:
                - 'cryptojs/core'
            exports: 'CryptoJS'
        'jquery.multiselect':
            deps:
                - 'jquery-ui'
        'jquery.multiselect.filter':
            deps:
                - 'jquery.multiselect'
        'lightgallery':
            deps:
                - 'jquery'
        'lightgallery.print':
            deps:
                - 'lightgallery'
                - 'jquery'
    map:
        '*':
            'jquery': 'oroui/js/extend/jquery'
            'jquery.select2': 'oroui/js/extend/select2'
            'jquery.multiselect': 'oroui/js/extend/jquery.multiselect'
            'jquery.multiselect.filter': 'oroui/js/extend/jquery.multiselect-filter'
            'chaplin': 'oroui/js/extend/chaplin'
            'underscore': 'oroui/js/extend/underscore'
            'backbone': 'oroui/js/extend/backbone'
            'bootstrap': 'oroui/js/extend/bootstrap'
            'jquery-ui': 'oroui/js/jquery-ui-datepicker-l10n'
            'oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker': 'oroui/js/extend/jquery.timepicker'
            'base64': 'oroui/js/extend/base64'
        'oroui/js/extend/jquery':
            'jquery': 'jquery'
        'oroui/js/extend/select2':
            'jquery.select2': 'jquery.select2'
        'oroui/js/select2-l10n':
            'jquery.select2': 'jquery.select2'
        'oroui/js/extend/jquery.multiselect':
            'jquery.multiselect': 'jquery.multiselect'
        'oroui/js/extend/jquery.multiselect-filter':
            'jquery.multiselect.filter': 'jquery.multiselect.filter'
        'oroui/js/extend/jquery-ui':
            'jquery-ui': 'jquery-ui'
        'oroui/js/extend/chaplin':
            'chaplin': 'chaplin'
        'oroui/js/extend/underscore':
            'underscore': 'underscore'
        'oroui/js/extend/backbone':
            'backbone': 'backbone'
        'oroui/js/extend/bootstrap':
            'bootstrap': 'bootstrap'
        'oroui/js/jquery-ui-datepicker-l10n':
            'jquery-ui': 'oroui/js/extend/jquery-ui'
        'oroui/js/jquery-timepicker-l10n':
            'oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker': 'oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker'
        'oroui/js/extend/jquery.timepicker':
            'oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker': 'oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker'
        'chaplin':
            'backbone': 'backbone'
        'oroui/js/app/components/base/component':
            'backbone': 'backbone'
            'chaplin': 'chaplin'
        'oroui/js/extend/base64':
            'base64': 'base64'
        'oroui/js/mediator':
            'chaplin': 'chaplin'
        'oroui/js/tools':
            'chaplin': 'chaplin'
    paths:
        'text': 'bundles/oroui/lib/text.js'
        'json': 'bundles/oroui/lib/json2.js'
        'base64': 'bundles/oroui/lib/base64.js'
        'jquery': 'bundles/components/jquery/jquery.js'
        'jquery-ui': 'bundles/oroui/lib/jquery-ui-1.11.2.js'
        'jquery-outer-html': 'bundles/oroui/lib/outerHTML-2.1.0-min.js'
        'jquery.mousewheel': 'bundles/oroui/lib/jquery/jquery.mousewheel.js'
        'jquery.numeric': 'bundles/oroui/lib/jquery/jquery.numeric.js'
        'jquery.uniform': 'bundles/oroui/lib/jquery/jquery.uniform.min.js'
        'jquery.select2': 'bundles/oroui/lib/jquery/select2.js'
        'jquery.multiselect': 'bundles/oroui/lib/multiselect/jquery.multiselect.js'
        'jquery.multiselect.filter': 'bundles/oroui/lib/multiselect/jquery.multiselect.filter.js'
        'jquery.simplecolorpicker': 'bundles/oroui/lib/simplecolorpicker/jquery.simplecolorpicker.js'
        'jquery.minicolors': 'bundles/oroui/lib/minicolors/jquery.minicolors.js'
        'jquery.cookie': 'bundles/oroui/lib/jquery/jquery.cookie.js'
        'jquery.ajax.queue': 'bundles/oroui/lib/jquery/jquery.ajaxQueue.min.js'
        'bootstrap': 'bundles/oroui/lib/bootstrap.min.js'
#        'bootstrap': 'bundles/oroui/js/bootstrap-dev.js'
        'underscore': 'bundles/components/underscore/underscore.js'
        'backbone': 'bundles/components/backbone/backbone.js'
        'chaplin': 'bundles/oroui/lib/chaplin-1.0.0.js'
        'backbone-bootstrap-modal': 'bundles/oroui/lib/backbone.bootstrap-modal.js'
        'oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker': 'bundles/oroui/lib/jquery.timepicker-1.4.13/jquery.timepicker.min.js'
        'cryptojs/core': 'bundles/oroui/lib/cryptojs/core-min.js'
        'cryptojs/enc-base64': 'bundles/oroui/lib/cryptojs/enc-base64-min.js'
        'cryptojs/hmac': 'bundles/oroui/lib/cryptojs/hmac-min.js'
        'cryptojs/sha256': 'bundles/oroui/lib/cryptojs/sha256-min.js'
        'cryptojs/pbkdf2': 'bundles/oroui/lib/cryptojs/pbkdf2-min.js'
        'lightgallery': 'bundles/oroui/lib/lightgallery/js/lightgallery-all.js'
        'lightgallery.print': 'bundles/oroui/js/lightgallery/lg-print.js'

        'ready': 'bundles/oroui/js/requirejs/ready.js'
        'tpl': 'bundles/oroui/js/requirejs/tpl.js'
        'oroui/js/tools/api-accessor': 'bundles/oroui/js/tools/api-accessor.js'
        'oroui/js/tools/search-api-accessor': 'bundles/oroui/js/tools/search-api-accessor.js'
        'oroui/js/app/ready-state-tracker': 'bundles/oroui/js/app/ready-state-tracker.js'
        'controllers/page-controller': 'bundles/oroui/js/app/controllers/page-controller.js'
        'oroui/js/app/modules/layout-module': 'bundles/oroui/js/app/modules/layout-module.js'
        'oroui/js/app/modules/messenger-module': 'bundles/oroui/js/app/modules/messenger-module.js'
        'oroui/js/app/modules/views-module': 'bundles/oroui/js/app/modules/views-module.js'
        'oroui/js/app/modules/widgets-module': 'bundles/oroui/js/app/modules/widgets-module.js'
        'oroui/js/app/modules/input-widgets': 'bundles/oroui/js/app/modules/input-widgets.js'
        'oroui/js/app/application': 'bundles/oroui/js/app/application.js'
        'oroui/js/app/routes': 'bundles/oroui/js/app/routes.js'
        'oroui/js/app/models/base/collection': 'bundles/oroui/js/app/models/base/collection.js'
        'oroui/js/app/views/hidden-initialization-view': 'bundles/oroui/js/app/views/hidden-initialization-view.js'
        'oroui/js/app/views/page/before-content-addition-view': 'bundles/oroui/js/app/views/page/before-content-addition-view.js'
        'oroui/js/app/views/page/breadcrumb-view': 'bundles/oroui/js/app/views/page/breadcrumb-view.js'
        'oroui/js/app/views/page/content-view': 'bundles/oroui/js/app/views/page/content-view.js'
        'oroui/js/app/views/page/main-menu-view': 'bundles/oroui/js/app/views/page/main-menu-view.js'
        'oroui/js/app/views/page/user-menu-view': 'bundles/oroui/js/app/views/page/user-menu-view.js'
        'oroui/js/app/views/page/messages-view': 'bundles/oroui/js/app/views/page/messages-view.js'
        'oroui/js/app/views/page/debug-toolbar-view': 'bundles/oroui/js/app/views/page/debug-toolbar-view.js'
        'oroui/js/app/views/datepicker/datetimepicker-view': 'bundles/oroui/js/app/views/datepicker/datetimepicker-view.js'
        'oroui/js/app/views/datepicker/datepicker-view': 'bundles/oroui/js/app/views/datepicker/datepicker-view.js'
        'oroui/js/app/views/zoomable-area-view': 'bundles/oroui/js/app/views/zoomable-area-view.js'
        'oroui/js/app/views/layout-subtree-view': 'bundles/oroui/js/app/views/layout-subtree-view.js'

        'oroui/js/delete-confirmation': 'bundles/oroui/js/delete-confirmation.js'
        'oroui/js/error': 'bundles/oroui/js/error.js'
        'oroui/js/init-layout': 'bundles/oroui/js/init-layout.js'
        'oroui/js/layout': 'bundles/oroui/js/layout.js'
        'oroui/js/loading-mask': 'bundles/oroui/js/loading-mask.js'
        'oroui/js/mediator': 'bundles/oroui/js/mediator.js'
        'oroui/js/messenger': 'bundles/oroui/js/messenger.js'
        'oroui/js/modal': 'bundles/oroui/js/modal.js'
        'oroui/js/scrollspy': 'bundles/oroui/js/scrollspy.js'
        'oroui/js/app/components/hidden-redirect-component': 'bundles/oroui/js/app/components/hidden-redirect-component.js'
        'oroui/js/app/components/jquery-widget-component': 'bundles/oroui/js/app/components/jquery-widget-component.js'
        'oroui/js/app/components/tabs-component': 'bundles/oroui/js/app/components/tabs-component.js'
        'oroui/js/app/components/view-component': 'bundles/oroui/js/app/components/view-component.js'
        'oroui/js/app/components/widget-component': 'bundles/oroui/js/app/components/widget-component.js'
        'oroui/js/app/components/basic-tree-component': 'bundles/oroui/js/app/components/basic-tree-component.js'
        'oroui/js/app/components/basic-tree-manage-component': 'bundles/oroui/js/app/components/basic-tree-manage-component.js'
        'oroui/js/app/components/widget-picker-component': 'bundles/oroui/js/app/components/widget-picker-component.js'
        'oroui/js/widget-manager': 'bundles/oroui/js/widget/widget-manager.js'
        'oroui/js/widget/abstract-widget': 'bundles/oroui/js/widget/abstract-widget.js'
        'oroui/js/widget/collapse-widget': 'bundles/oroui/js/widget/collapse-widget.js'
        'oro/block-widget': 'bundles/oroui/js/widget/block-widget.js'
        'oro/page-widget': 'bundles/oroui/js/widget/page-widget.js'
        'oro/buttons-widget': 'bundles/oroui/js/widget/buttons-widget.js'
        'oroui/js/mobile/layout': 'bundles/oroui/js/mobile/layout.js'
        'oroui/js/mobile/page-header': 'bundles/oroui/js/mobile/page-header.js'
        'oroui/js/mobile/side-menu': 'bundles/oroui/js/mobile/side-menu.js'

        'oroui/js/desktop/side-menu': 'bundles/oroui/js/desktop/side-menu.js'

        'oroui/js/items-manager/table': 'bundles/oroui/js/items-manager/table.js'
        'oroui/js/items-manager/editor': 'bundles/oroui/js/items-manager/editor.js'

        'oroui/js/input-widget-manager': 'bundles/oroui/js/input-widget-manager.js'
        'oroui/js/app/views/input-widget/abstract': 'bundles/oroui/js/app/views/input-widget/abstract.js'
        'oroui/js/app/views/input-widget/uniform-file': 'bundles/oroui/js/app/views/input-widget/uniform-file.js'
        'oroui/js/app/views/input-widget/uniform-select': 'bundles/oroui/js/app/views/input-widget/uniform-select.js'
        'oroui/js/app/views/input-widget/select2': 'bundles/oroui/js/app/views/input-widget/select2.js'

        'oroui/js/content-processor/pinned-dropdown-button': 'oroui/js/content-processor/pinned-dropdown-button.js'

        'oroui/js/app/views/widget-picker/widget-picker-collection-view': 'bundles/oroui/js/app/views/widget-picker/widget-picker-collection-view.js'
        'oroui/js/app/views/widget-picker/widget-picker-filter-view': 'bundles/oroui/js/app/views/widget-picker/widget-picker-filter-view.js'
        'oroui/js/app/views/widget-picker/widget-picker-item-view': 'bundles/oroui/js/app/views/widget-picker/widget-picker-item-view.js'
        'oroui/js/app/models/widget-picker/widget-picker-filter-model': 'bundles/oroui/js/app/models/widget-picker/widget-picker-filter-model.js'
        'oroui/js/app/models/widget-picker/widget-picker-model': 'bundles/oroui/js/app/models/widget-picker/widget-picker-model.js'

        'autolinker': 'bundles/oroui/lib/autolinker.min.js'

        'oroui/js/extend/polyfill': 'oroui/js/extend/polyfill'
    appmodules:
        - oroui/js/app/modules/layout-module
        - oroui/js/app/modules/messenger-module
        - oroui/js/app/modules/views-module
        - oroui/js/app/modules/widgets-module
        - oroui/js/app/modules/input-widgets

build:
    paths:
        'jstree/jquery.jstree.min': 'empty:'
#       Backbone after v.1.1.1 started to support AMD. And that broke a js-build with
#       files which does not support AMD. backbone-bootstrap-modal use AMD without dependency,
#       therefore it's excluded
        'backbone-bootstrap-modal': 'empty:'
        'oroui/lib/jquery.datepair-0.4.4/jquery.datepair': 'empty:'
        'cryptojs/enc-base64': 'empty:'
        'cryptojs/hmac': 'empty:'
        'cryptojs/pbkdf2': 'empty:'
#       jQuery.UI after v.1.11.2 started to support AMD. And that broke a js-build with
#       files which does not support AMD. jquery.multiselect and jquery.multiselect.filter
#       use AMD without dependency, therefore it's excluded
        'jquery.multiselect': 'empty:'
        'jquery.multiselect.filter': 'empty:'
